> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getblocktime.md).

# getBlockTime

Returns the estimated production time of a block.

#### **Parameters:**

u64 - required - Block number, identified by Slot

#### **Returns:**

i64 - Estimated production time, as Unix timestamp (seconds since the Unix epoch)

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://solana.blockpi.network/v1/rpc/your-rpc-key
  POST -H "Content-Type: application/json" -d ' 
   {
     "jsonrpc": "2.0",
     "id": 1,
     "method": "getBlockTime",
     "params": [
       5
     ]
   }
'

// Result

```

{% endcode %}
